This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 213301 - RFE: eliminate the use of char *dn in favor of Slapi_DN *dn
RFE: eliminate the use of char *dn in favor of Slapi_DN *dn
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Noriko Hosoi
Ben Levenson
:
Depends On:
Blocks: 389_1.3.0 690319 781543
  Show dependency treegraph
 
Reported: 2006-10-31 13:29 EST by Noriko Hosoi
Modified: 2015-12-10 13:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 781543 (view as bug list)
Environment:
Last Closed: 2015-12-10 13:37:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noriko Hosoi 2006-10-31 13:29:46 EST
Description of problem:
Bugzilla Bug 199923: subtree search fails to find items under a db containing
special characters
(In reply to comment #11)
> That's what Slapi_DN is supposed to do - normalize once, and be able to get
> normalized and "raw" DN where needed.  We should use Slapi_DN as much as
> possible.  We might want to schedule some time to do some much needed API
> revisions to eliminate the use of char *dn in favor of Slapi_DN *dn.  But not
> for 7.2.

In one operation, substr_dn_normalize could be called multiple times against the
same dn).  We should avoid it.
Comment 1 Rich Megginson 2011-08-29 12:43:15 EDT
performance related work
Comment 2 Martin Kosek 2012-01-04 08:48:08 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/139

Note You need to log in before you can comment on or make changes to this bug.